Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000659Windows Inform application[IDEs] Installing Extensionspublic2011-05-17 16:442014-05-07 07:41
ReporterSeeker 
Assigned ToDavidK 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version 
Target VersionFixed in Version6L02 
Summary0000659: Extension list limits
DescriptionIt seems there is a limit to what can be seen in the "Open Extension" list. I have hit that limit many times, and had to remove extensions just so I can see the ones I use towards the bottom of the list. Yes, I read all of the ones I use. I am strange that way.

I tried loading the Blue Lacuna extensions, and lost three authors from the bottom of the list. And one of them was me! (I write my own for my use... I have thought of submitting them, but am waiting till I test them more).

It is not a huge problem, but has added some inconvenience when I realize I can not read an extension that is further down on the "Open Extension" list. I am at the limit now, so with every new extension I want to see/use, I have to remove one that is already installed.

According to Windows, there are currently 184 files in my extension folder. I am guessing all (or at least most) of them are extensions.
Minimal Source Text To Reproduce
Add multiple extensions.  Keep adding until the ones further down the list are not visible in the 
"Open Extension" list.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001177)
EmacsUser (manager)
2011-05-19 12:49

Confirmed; the menu seems to show the first 200.
(0001187)
DavidK (developer)
2011-05-31 10:15

I've made the simplest fix possible for this: I've raised the maximum number of extension menu items from 200 to 1000. If you've got more than 1000 you should really get rid of a few :-)

- Issue History
Date Modified Username Field Change
2011-05-17 16:44 Seeker New Issue
2011-05-19 12:49 EmacsUser Note Added: 0001177
2011-05-19 12:49 EmacsUser Status new => confirmed
2011-05-22 10:26 DavidK Project IDEs => Windows Inform application
2011-05-22 10:26 DavidK Assigned To => DavidK
2011-05-22 10:26 DavidK Status confirmed => assigned
2011-05-31 10:15 DavidK Note Added: 0001187
2011-05-31 10:15 DavidK Status assigned => resolved
2011-05-31 10:15 DavidK Resolution open => fixed
2014-05-07 07:41 jmcgrew Fixed in Version => 6L02
2014-05-07 07:41 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker